Subject: 25.0.50; M-x occur
From: Richard Stallman <[email-masked]>
To: [email-masked]
Date: Mon, 30 Nov 2015 12:59:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I typed  M-x occur RET ^$ RET, hoping to find
all the blank lines in the buffer.  I got the error message,
  Searched 1 buffer; no matches for `^$'
I got the same error in etc/HELLO.

In GNU Emacs 25.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.23)
 of 2015-11-14 on freetop
Repository revision: 79a169684dfad2c0bbb9fdbae539c1f30d9f0ac3
System Description:	Trisquel GNU/Linux 7.0, Belenos

Configured using:
 `configure 'CFLAGS=-g -O0''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF GSETTINGS NOTIFY
LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent messages:
Mark set
Type C-x 1 to delete the help window, C-M-v to scroll help.
Region has 0 lines, 0 words, and 0 characters.
Mark set [2 times]
Region has 5642 lines, 21467 words, and 144608 characters.
Quit
Searched 1 buffer; no matches for `^$'
You can run the command `occur' with M-s o
Searched 1 buffer; no matches for `^$'
1429 occurrences

Load-path shadows:
None found.

Features:
(shadow emacsbug cal-move cal-menu calendar cal-loaddefs jka-compr
two-column kmacro iso-transl bookmark rect pp wid-edit descr-text
battery quail rmailout epa-mail rmailkwd epa derived epg etags
thingatpt xref project ispell rmailsum shr-color color url-util
url-parse auth-source cl-seq eieio byte-opt bytecomp byte-compile
cconv eieio-core cl-macs gv gnus-util password-cache url-vars shr dom
subr-x browse-url dired-aux misearch multi-isearch cl-extra seq
parse-time vc-cvs sgml-mode dabbrev mailalias shell pcomplete grep
compile comint ansi-color ring qp rmailmm message sendmail format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mailabbrev gmm-utils
mailheader mail-parse rfc2231 rmail rfc2047 rfc2045 ietf-drums mm-util
help-fns help-mode cl-loaddefs pcase cl-lib mail-prsvr mail-utils
dired t-mouse view time-date paren cus-start cus-load advice
finder-inf package easymenu epg-config mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese
eucjp-ms cp51932 hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese charscript case-table epa-hook jka-cmpr-hook
help simple abbrev minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 8 442675 90785)
 (symbols 24 37230 0)
 (miscs 20 4057 4615)
 (strings 16 63054 13806)
 (string-bytes 1 1563381)
 (vectors 8 31199)
 (vector-slots 4 1524007 39526)
 (floats 8 448 506)
 (intervals 28 65647 3559)
 (buffers 520 249)
 (heap 1024 22065 2148))
[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.